<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Recipe Form</title>

    <link rel="stylesheet" type="text/css" media="all" href="../../static/css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}" />
		
		<script th:src="@{/webjars/jquery/3.4.1/jquery.min.js}"></script>
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
<!--/*@thymesVar id="recipe" type="com.tcs.recipe.model.Recipe"*/-->
<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <form  th:object="${recipe}" th:action="@{/recipe/}" method="post">
                <input type="hidden" th:field="*{id}"/>
                <div class="pannel-group">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h1 class="panel-title" th:text="${id != null} ? 'Update New Recipe' : 'Create New Recipe'" id="panelHeading" name="panelHeading" >Create New Recipe</h1>
                        </div>
                        <div class="panel-body">
                        	<div class="row">
                        	<!-- <div class="col-lg-6"> -->
                                <div class="col-md-3 form-group">
                                    <label>Recipe Title:</label>
                                    <input type="text" class="form-control" th:field="*{title}"/>
                                </div>
                             <!--</div>
                            <div class="row"> -->
                                <div class="col-md-3 form-group">
                                    <label>Recipe Description:</label>
                                    <input type="text" class="form-control" th:field="*{description}"/>
                                </div>
                            <!-- </div> -->
                            </div>
                            <div class="row">
                                <div class="col-md-3 form-group">
                                    <label>Categories:</label>
                                      <div class="radio">
                                        <label>
                                            <input type="checkbox"  th:checked="${isVeg}"/>
                                            Veg
                                        </label>
                                    </div>
                                    <div class="radio" th:remove="all">
                                        <label>
                                            <input type="checkbox" value=""/>
                                            Non Veg
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-9 form-group">
                                    <!-- <div class="radio">
                                        <label>
                                            <input type="checkbox"  th:checked="${isVeg}"/>
                                            Veg
                                        </label>
                                    </div>
                                    <div class="radio" th:remove="all">
                                        <label>
                                            <input type="checkbox" value=""/>
                                            Non Veg
                                        </label>
                                    </div> -->
                                    <label>Servings:</label>
                                    <input type="text" class="form-control" th:field="*{noOfPeopleServing}"/>
                                
                                    
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3 form-group">
                                    <!-- <label>Servings:</label>
                                    <input type="text" class="form-control" th:field="*{noOfPeopleServing}"/>
                                 -->
                                  <label>Date Of Creation:</label>
                                    <input type="text" class="form-control" th:field="*{dateOfCreation}"/>
                                
                                 </div>
                            </div>
                            
                            <div class="row">
                                <div class="col-md-3 form-group">
                                   <!--  <label>Date Of Creation:</label>
                                    <input type="text" class="form-control" th:field="*{dateOfCreation}"/>
                                --> </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-md-7 ">
                                    <h1 class="panel-title">Ingredients</h1>
                                </div>
                                <div class="col-md-5">
                                    <a class="btn btn-default" href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredients'}" role="button"><h3>View / Update</h3></a>
                                </div>
                            </div>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <ul th:if="${not #lists.isEmpty(recipe.ingredients)}">
                                        <li th:remove="all">1 Cup of milk</li>
                                        <li th:remove="all">1 Teaspoon of chocolate</li>
                                        <li th:remove="all">asdf</li>
                                        <li th:each="ingredient : ${recipe.ingredients}"
                                            th:text="${(ingredient.getPortion() +
                                        ' - ' + ingredient.getDesc())}">1 Teaspoon of Sugar
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h1 class="panel-title">Directions</h1>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-12 form-group">
                                    <textarea class="form-control" rows="3" th:field="*{directions}"></textarea></div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>